# Variable monospace_block

monospace_block: {
configFields: (
| { label: string; name: string; sublabel: string; type: string }
| { label: string; name: string; sublabel?: undefined; type: string }
)[];
description: string;
isEdit: boolean;
run: (s: any, req: any, attrs?: {}) => string;
} = ...

#### Type Declaration

- ##### configFields: (
  | { label: string; name: string; sublabel: string; type: string }
  | { label: string; name: string; sublabel?: undefined; type: string }
  )[]

- ##### description: string

- ##### isEdit: boolean

- ##### run: (s: any, req: any, attrs?: {}) => string

- Defined in packages/saltcorn-data/base-plugin/types.js:872